std_thread.h File Reference

Go to the source code of this file.

## Classes

struct | std::hash< thread::id >
class | std::thread::id
class | std::thread

## Namespaces

namespace | std
namespace | std::this_thread

## Functions

thread::id | std::this_thread::get_id () noexcept
bool | std::operator== (thread::id __x, thread::id __y)
void | std::swap (thread &__x, thread &__y) noexcept
void | std::this_thread::yield () noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <thread>.

Definition in file std_thread.h.